Create a Database Service
Create a new database service connection
POST
POST /v1/services/databaseServices
Create a Database Service
Create a new database service connection to a platform such as Snowflake, BigQuery, or PostgreSQL.Body Parameters
Type of database service, for example
Snowflake, BigQuery, PostgreSQL, MySQL, Redshift, Databricks.POST /v1/services/databaseServices
Returns
Returns the created database service object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/services/databaseServices instead of POST to perform an upsert. If a database service with the same fullyQualifiedName already exists, it will be updated; otherwise, a new service is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/services/databaseServices/bulk to create or update multiple database services in a single request. The request body is an array of create request objects.